#! /bin/sh

KILLVDR="killall -SIGTERM vdr"
SERVICE=""

unload_modules() {

    sudo /sbin/modprobe -r dvb_usb_dibusb_mc
}


case $1 in
	restore)
	    sudo /sbin/modprobe dvb_usb_dibusb_mc
	    
	    if [ -e /opt/vdr/last_exist ]; then
	    
	        TRY=3
	        while [ $TRY -gt 0 ]; do
	    	if [ -a /dev/dvb0.dvr0 ]; then
			(DISPLAY=:0 su user /opt/vdr/runvdr )&
			TRY=0
		else
			sleep 1
	    		TRY=$((TRY-1))
		fi
		done
	    fi
	    if [ -e /opt/vdr/last_exist ]; then
		rm /opt/vdr/last_exist	
	    fi
		;;

	suspend)
		if [ `ps -A | grep -w vdr -c` -gt 0 ]; then
		    killall -9 runvdr
		    killall -SIGTERM vdr
		    killall -SIGTERM vdr
		    touch /opt/vdr/last_exist
		fi
		
		sleep 4	    
        	unload_modules
		;;


	status)
		;;

esac
